/* mytypes.h -- contains some custom data types */
#define __dkMYTYPES_H__

typedef struct {
  gdouble x, y;  /* normalized coordinates of dart location (-1..1,-1..1) */
} dartType;

typedef struct {
  dartType darts[3];
  gint     numthrown;  /* how many darts have been thrown */
} dartsType;

typedef struct {
  gint value;     /* 1-20, 25 (bullseye), -1 (missed board) */
  gint multiple;  /* 1=single, 2=double, 3=triple, -1=missed */
} dartSemanticsType;
